gdcm::ByteSwapFilter Class Reference

ByteSwapFilter. More...

`#include <gdcmByteSwapFilter.h>`

## Public Member Functions

| ByteSwapFilter (const ByteSwapFilter &)=delete
| ByteSwapFilter (DataSet &ds)
| ~ByteSwapFilter ()=default
bool | ByteSwap ()
ByteSwapFilter & | operator= (const ByteSwapFilter &)=delete
void | SetByteSwapTag (bool b)

## Detailed Description

ByteSwapFilter.

In place byte-swapping of a dataset FIXME: FL status ??

## Constructor & Destructor Documentation

## ByteSwapFilter() [1/2]

gdcm::ByteSwapFilter::ByteSwapFilter | ( | DataSet & | ds | ) |

inline

Referenced by ByteSwapFilter(), and operator=().

## ~ByteSwapFilter()

gdcm::ByteSwapFilter::~ByteSwapFilter | ( |  | ) |

default

## ByteSwapFilter() [2/2]

gdcm::ByteSwapFilter::ByteSwapFilter | ( | const ByteSwapFilter & |  | ) |

delete

References ByteSwapFilter().

## Member Function Documentation

## ByteSwap()

bool gdcm::ByteSwapFilter::ByteSwap | ( |  | ) |

Referenced by gdcm::Item::Read().

## operator=()

ByteSwapFilter & gdcm::ByteSwapFilter::operator= | ( | const ByteSwapFilter & |  | ) |

delete

References ByteSwapFilter().

## SetByteSwapTag()

void gdcm::ByteSwapFilter::SetByteSwapTag | ( | bool | b | ) |

inline

Referenced by gdcm::Item::Read().

The documentation for this class was generated from the following file:

- gdcmByteSwapFilter.h